Orxonox: OIS::JoyStickInfo Class Reference

# OIS::JoyStickInfo Class Reference

`#include <src/ois/win32/Win32Prereqs.h>`

List of all members.

## Public Member Functions

| JoyStickInfo ()

## Public Attributes

unsigned char | axes
| Number of axes.
std::map< int, int > | axis_map
| Maps Linux axis values to OIS axis.
std::map< int, Range > | axis_range
| Maps OIS axis values to it's range.
std::map< int, int > | button_map
| Maps Linux button values to OIS buttons values.
unsigned char | buttons
| Number of buttons.
GUID | deviceID
int | devId
| Device number (/dev/input/j#) or /dev/input/event#.
unsigned char | hats
| Number of hats.
int | joyFileD
| File descriptor.
std::string | vendor
| Joy vendor.
int | version
| Driver version.

## Constructor & Destructor Documentation

OIS::JoyStickInfo::JoyStickInfo | ( |  | ) | `[inline]`

## Member Data Documentation

unsigned char OIS::JoyStickInfo::axes

Number of axes.

Referenced by OIS::LinuxJoyStick::_getJoyInfo(), OIS::EventUtils::isJoyStick(), and OIS::LinuxJoyStick::LinuxJoyStick().

std::map<int, int> OIS::JoyStickInfo::axis_map

Maps Linux axis values to OIS axis.

Referenced by OIS::LinuxJoyStick::_getJoyInfo(), OIS::EventUtils::isJoyStick(), and OIS::LinuxJoyStick::LinuxJoyStick().

std::map<int, Range> OIS::JoyStickInfo::axis_range

Maps OIS axis values to it's range.

Referenced by OIS::LinuxJoyStick::_getJoyInfo(), OIS::EventUtils::isJoyStick(), and OIS::LinuxJoyStick::LinuxJoyStick().

std::map<int, int> OIS::JoyStickInfo::button_map

Maps Linux button values to OIS buttons values.

Referenced by OIS::LinuxJoyStick::_getJoyInfo(), OIS::EventUtils::isJoyStick(), and OIS::LinuxJoyStick::LinuxJoyStick().

unsigned char OIS::JoyStickInfo::buttons

Number of buttons.

Referenced by OIS::LinuxJoyStick::_getJoyInfo(), OIS::EventUtils::isJoyStick(), and OIS::LinuxJoyStick::LinuxJoyStick().

GUID OIS::JoyStickInfo::deviceID

Referenced by OIS::Win32InputManager::_DIEnumKbdCallback(), OIS::Win32JoyStick::Win32JoyStick(), and OIS::Win32JoyStick::~Win32JoyStick().

int OIS::JoyStickInfo::devId

Device number (/dev/input/j#) or /dev/input/event#.

Referenced by OIS::Win32InputManager::_DIEnumKbdCallback(), OIS::LinuxJoyStick::_getJoyInfo(), and OIS::Win32JoyStick::~Win32JoyStick().

unsigned char OIS::JoyStickInfo::hats

Number of hats.

Referenced by OIS::LinuxJoyStick::_getJoyInfo(), OIS::EventUtils::isJoyStick(), and OIS::LinuxJoyStick::LinuxJoyStick().

int OIS::JoyStickInfo::joyFileD

File descriptor.

Referenced by OIS::LinuxJoyStick::_getJoyInfo(), OIS::EventUtils::isJoyStick(), and OIS::LinuxJoyStick::LinuxJoyStick().

std::string OIS::JoyStickInfo::vendor

Joy vendor.

Referenced by OIS::Win32InputManager::_DIEnumKbdCallback(), OIS::LinuxJoyStick::_getJoyInfo(), OIS::EventUtils::isJoyStick(), and OIS::Win32JoyStick::~Win32JoyStick().

int OIS::JoyStickInfo::version

Driver version.

The documentation for this class was generated from the following files:

- src/ois/linux/LinuxPrereqs.h
- src/ois/win32/Win32Prereqs.h